%define name latex2html
%define version 99.2beta8
%define release 2mdk

Name:		%{name}
Summary:	LaTeX to HTML converter.
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Publishing
URL:		http://saftsack.fs.uni-bayreuth.de/~latex2ht/
Source:		http://saftsack.fs.uni-bayreuth.de/~latex2ht/current/%{name}-%{version}.tar.bz2
Requires:	tetex-latex >= 0.4, tetex-dvips >= 0.4, ghostscript >= 5.50, giftrans, perl >= 5.004
Prefix: %{_prefix}

# BuildRoot has to be strange due to the way configure makes directory structure
BuildRoot:	%{_tmppath}/%{version}
BuildArchitectures:	noarch
Prefix:		%{_prefix}

%define graphic_format	png	# use "gif" or "png"
%define libdir		%{_libdir}/%{name}


%description
Elaborate perl program to convert latex documents to html, using LaTeX
to process images and equations.  

%prep
%setup -q


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

./configure --with-gs=%{_bindir}/gs \
  --with-texpath=%{_datadir}/texmf/tex/ \
  --without-mktexlsr \
  --with-perl=%{_bindir}/perl \
  --prefix=%{prefix}

uname -a|grep SMP && make -j 2 || make 

%install

# custom "make install" so paths are proper in the perl programs

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 latex2html $RPM_BUILD_ROOT%{_bindir}
install -m 755 pstoimg $RPM_BUILD_ROOT%{_bindir}
install -m 755 texexpand $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{libdir}/IndicTeX-HTML
cp -avRf IndicTeX-HTML/* $RPM_BUILD_ROOT%{libdir}/IndicTeX-HTML

mkdir -p $RPM_BUILD_ROOT%{libdir}/L2hos
cp -avRf L2hos.pm $RPM_BUILD_ROOT%{libdir}
cp -avRf L2hos/* $RPM_BUILD_ROOT%{libdir}/L2hos

mkdir -p $RPM_BUILD_ROOT%{libdir}/XyMTeX-HTML
cp -avRf XyMTeX-HTML/* $RPM_BUILD_ROOT%{libdir}/XyMTeX-HTML

mkdir -p $RPM_BUILD_ROOT%{libdir}/cweb2html
cp -avRf cweb2html/* $RPM_BUILD_ROOT%{libdir}/cweb2html

mkdir -p $RPM_BUILD_ROOT%{libdir}/docs
cp -avRf docs/* $RPM_BUILD_ROOT%{libdir}/docs

mkdir -p $RPM_BUILD_ROOT%{libdir}/example
cp -avRf example/* $RPM_BUILD_ROOT%{libdir}/example

mkdir -p $RPM_BUILD_ROOT%{libdir}/foilhtml
cp -avRf foilhtml/* $RPM_BUILD_ROOT%{libdir}/foilhtml

mkdir -p $RPM_BUILD_ROOT%{libdir}/icons
cp -avRf icons/* $RPM_BUILD_ROOT%{libdir}/icons

mkdir -p $RPM_BUILD_ROOT%{libdir}/makeseg
cp -avRf makeseg/* $RPM_BUILD_ROOT%{libdir}/makeseg

mkdir -p $RPM_BUILD_ROOT%{libdir}/styles
cp -avRf styles/* $RPM_BUILD_ROOT%{libdir}/styles

mkdir -p $RPM_BUILD_ROOT%{libdir}/texinputs
cp -avRf texinputs/* $RPM_BUILD_ROOT%{libdir}/texinputs

mkdir -p $RPM_BUILD_ROOT%{libdir}/versions
cp -avRf versions/* $RPM_BUILD_ROOT%{libdir}/versions

cp -avRf cfgcache.pm dot.latex2html-init l2hconf.pm makemap readme.hthtml $RPM_BUILD_ROOT%{libdir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/html
cp -avRf texinputs/* $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/html

mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp -avRf Changes FAQ MANIFEST README readme.hthtml TODO BUGS INSTALL dot.latex2html-init example $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}

# fix perl path in a few places:

sed -e 's/\/usr\/local\/bin\/perl/\/usr\/bin\/perl/g' $RPM_BUILD_ROOT%{prefix}/lib/latex2html/cweb2html/cweb2html > $RPM_BUILD_ROOT%{_libdir}/latex2html/cweb2html/cweb2html.new
cp -f $RPM_BUILD_ROOT%{_libdir}/latex2html/cweb2html/cweb2html.new $RPM_BUILD_ROOT%{_libdir}/latex2html/cweb2html/cweb2html
chmod 755 $RPM_BUILD_ROOT%{_libdir}/latex2html/cweb2html/cweb2html

sed -e 's/\/usr\/local\/bin\/perl/\/usr\/bin\/perl/g' $RPM_BUILD_ROOT%{prefix}/lib/latex2html/makeseg/makeseg > $RPM_BUILD_ROOT%{_libdir}/latex2html/makeseg/makeseg.new
cp -f $RPM_BUILD_ROOT%{_libdir}/latex2html/makeseg/makeseg.new $RPM_BUILD_ROOT%{prefix}/lib/latex2html/makeseg/makeseg
chmod 755 $RPM_BUILD_ROOT%{_libdir}/latex2html/makeseg/makeseg

sed -e 's/\/usr\/local\/bin\/perl/\/usr\/bin\/perl/g' $RPM_BUILD_ROOT%{_libdir}/latex2html/makemap > $RPM_BUILD_ROOT%{prefix}/lib/latex2html/makemap.new
cp -f $RPM_BUILD_ROOT%{_libdir}/latex2html/makemap.new $RPM_BUILD_ROOT%{_libdir}/latex2html/makemap
chmod 755 $RPM_BUILD_ROOT%{_libdir}/latex2html/makemap


cd $RPM_BUILD_ROOT
find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%post
%{_bindir}/mktexlsr


%postun
%{_bindir}/mktexlsr

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)


%changelog
* Fri Aug 25 2000 Geoffrey Lee <snailtalk@mandrakesof.com> 99.2beta8-2mdk
- readd /usr/bin/pstoimg ...oops ... (Erik Devriendt)
- fix license. There is no such thing as a GNU license.!

* Wed Aug 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 99.2beta8-1mdk
- new version to fix some nasty bugz (Meinhard E. Mayer)

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 99.2beta6-4mdk
- rebuild with cleanup

* Mon Mar 20 2000 Camille Begnis <camille@mandrakesoft.com> 99.2beta6-3mdk
- Fixed group

* Sat Mar 18 2000 Camille Begnis <camille@mandrakesoft.com> 99.2beta6-2mdk
- minor spec update 

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used - once again - a great srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- added fixes for some perl scripts that point to /usr/local/bin/perl

* Sun Feb 6 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- removed make install and replaced with custom installer to ensure correct
  paths in the latex2html perl programs
